/**
 * Get the property names from an interface which are functions
 */
export declare type FunctionPropertyNames<T> = {
    [K in keyof T]: T[K] extends Function ? K : never;
}[keyof T];
/**
 * Get the properties from an interface which are functions
 */
export declare type FunctionProperties<T> = Pick<T, FunctionPropertyNames<T>>;
//# sourceMappingURL=FunctionProperties.d.ts.map